<Type Name="TypeListConverter" FullName="System.ComponentModel.TypeListConverter">
  <TypeSignature Language="C#" Value="public abstract class TypeListConverter : System.ComponentModel.TypeConverter" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.ComponentModel.TypeConverter</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes />
  <Members>
    <Member MemberName="GetStandardValuesSupported">
      <MemberSignature Language="C#" Value="public virtual bool GetStandardValuesSupported (ITypeDescriptorContext context);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="context" Type="System.ComponentModel.ITypeDescriptorContext" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="context">To be added: an object of type 'ITypeDescriptorContext'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetStandardValuesExclusive">
      <MemberSignature Language="C#" Value="public virtual bool GetStandardValuesExclusive (ITypeDescriptorContext context);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="context" Type="System.ComponentModel.ITypeDescriptorContext" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="context">To be added: an object of type 'ITypeDescriptorContext'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetStandardValues">
      <MemberSignature Language="C#" Value="public virtual TypeConverter+StandardValuesCollection GetStandardValues (ITypeDescriptorContext context);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.TypeConverter+StandardValuesCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="context" Type="System.ComponentModel.ITypeDescriptorContext" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="context">To be added: an object of type 'ITypeDescriptorContext'</param>
        <returns>To be added: an object of type 'TypeConverter+StandardValuesCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ConvertTo">
      <MemberSignature Language="C#" Value="public virtual object ConvertTo (ITypeDescriptorContext context, Globalization.CultureInfo culture, object value, Type destinationType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Object</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="context" Type="System.ComponentModel.ITypeDescriptorContext" />
		<Parameter Name="culture" Type="System.Globalization.CultureInfo" />
		<Parameter Name="value" Type="System.Object" />
		<Parameter Name="destinationType" Type="System.Type" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="context">To be added: an object of type 'ITypeDescriptorContext'</param>
        <param name="culture">To be added: an object of type 'Globalization.CultureInfo'</param>
        <param name="value">To be added: an object of type 'object'</param>
        <param name="destinationType">To be added: an object of type 'Type'</param>
        <returns>To be added: an object of type 'object'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ConvertFrom">
      <MemberSignature Language="C#" Value="public virtual object ConvertFrom (ITypeDescriptorContext context, Globalization.CultureInfo culture, object value);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Object</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="context" Type="System.ComponentModel.ITypeDescriptorContext" />
		<Parameter Name="culture" Type="System.Globalization.CultureInfo" />
		<Parameter Name="value" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="context">To be added: an object of type 'ITypeDescriptorContext'</param>
        <param name="culture">To be added: an object of type 'Globalization.CultureInfo'</param>
        <param name="value">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'object'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CanConvertTo">
      <MemberSignature Language="C#" Value="public virtual bool CanConvertTo (ITypeDescriptorContext context, Type destinationType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="context" Type="System.ComponentModel.ITypeDescriptorContext" />
		<Parameter Name="destinationType" Type="System.Type" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="context">To be added: an object of type 'ITypeDescriptorContext'</param>
        <param name="destinationType">To be added: an object of type 'Type'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CanConvertFrom">
      <MemberSignature Language="C#" Value="public virtual bool CanConvertFrom (ITypeDescriptorContext context, Type sourceType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="context" Type="System.ComponentModel.ITypeDescriptorContext" />
		<Parameter Name="sourceType" Type="System.Type" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="context">To be added: an object of type 'ITypeDescriptorContext'</param>
        <param name="sourceType">To be added: an object of type 'Type'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="protected TypeListConverter (Type [] types);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="types" Type="System.Type[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="types">To be added: an object of type 'Type []'</param>
        <returns>To be added: an object of type 'TypeListConverter'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
